## org.apache.batik.css.dom
Class CSSOMSVGStyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration

All Implemented Interfaces:
  org.w3c.dom.css.CSSStyleDeclaration

Direct Known Subclasses:
  SVGStylableElement.StyleDeclaration

public class CSSOMSVGStyleDeclaration
extends CSSOMStyleDeclaration

This class represents a SVG style declaration.

Nested Class Summary
`class` `CSSOMSVGStyleDeclaration.StyleDeclarationColorValue` This class represents a CSS value returned by this declaration.
`class` `CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue` This class represents a CSS value returned by this declaration.

Nested classes inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.StyleDeclarationValue, CSSOMStyleDeclaration.ValueProvider`

Field Summary
`protected CSSEngine` `cssEngine` The CSS engine.

Fields inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`handler, parentRule, valueProvider, values`

Constructor Summary
`CSSOMSVGStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp, org.w3c.dom.css.CSSRule parent, CSSEngine eng)` Creates a new CSSOMSVGStyleDeclaration.

Method Summary
`protected org.w3c.dom.css.CSSValue` `createCSSValue(java.lang.String name)` Creates the CSS value associated with the given property.

Methods inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`getCssText, getCSSValue, getLength, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, item, removeProperty, setCssText, setModificationHandler, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The CSS engine.

Constructor Detail

### CSSOMSVGStyleDeclaration

    public CSSOMSVGStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp,
                                    org.w3c.dom.css.CSSRule parent,
                                    CSSEngine eng)

  Creates a new CSSOMSVGStyleDeclaration.

Method Detail

### createCSSValue

    protected org.w3c.dom.css.CSSValue createCSSValue(java.lang.String name)

  Creates the CSS value associated with the given property.

  Overrides:
    `createCSSValue` in class `CSSOMStyleDeclaration`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.